Bug 831427 - lv2-devel multilib conflict
lv2-devel multilib conflict
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lv2 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 19:58 EDT by Philippe Troin
Modified: 2016-12-20 07:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:14:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 19:58:11 EDT
# yum install lv2-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package lv2-devel-1.0.0-6.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package lv2-devel.i686 0:1.0.0-6.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch          Version                Repository        Size
================================================================================
Installing:
 lv2-devel          i686          1.0.0-6.fc17           updates           45 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 45 k
Installed size: 181 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/include/lv2/lv2plug.in/ns/ext/atom from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/data-access from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/dynmanifest from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/event from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/instance-access from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/log from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/midi from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/patch from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/port-groups from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/port-props from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/presets from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/resize-port from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/state from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/time from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/uri-map from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/urid from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/ext/worker from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/extensions/ui from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/extensions/units from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64
  file /usr/include/lv2/lv2plug.in/ns/lv2core from install of lv2-devel-1.0.0-6.fc17.i686 conflicts with file from package lv2-devel-1.0.0-6.fc17.x86_64

Error Summary
-------------

[2]    12669 exit 1     noglob yum install lv2-devel
Comment 1 Brendan Jones 2012-06-14 21:51:27 EDT
Hmmm,

any suggestions on the best way to handle this? 

These are all symbolic links created on install and will point to the relevant %{_libdir}/lv2/<bundle>.lv2 bundle directory.

The LV2 spec wants the libraries and the header files together (extensions and in fact all LV2 plugins are 'bundles' and are contained within a single directory. The extensions also happen to have header files for building plugins that use them)

lrwxrwxrwx 1 root root   33 May 15 13:13 atom -> ../../../../../lib64/lv2/atom.lv2
lrwxrwxrwx 1 root root   40 May 15 13:13 data-access -> ../../../../../lib64/lv2/data-access.lv2
lrwxrwxrwx 1 root root   40 May 15 13:13 dynmanifest -> ../../../../../lib64/lv2/dynmanifest.lv2
lrwxrwxrwx 1 root root   34 May 15 13:13 event -> ../../../../../lib64/lv2/event.lv2
lrwxrwxrwx 1 root root   44 May 15 13:13 instance-access -> ../../../../../lib64/lv2/instance-access.lv2
lrwxrwxrwx 1 root root   32 May 15 13:13 log -> ../../../../../lib64/lv2/log.lv2
lrwxrwxrwx 1 root root   33 May 15 13:13 midi -> ../../../../../lib64/lv2/midi.lv2
lrwxrwxrwx 1 root root   34 May 15 13:13 patch -> ../../../../../lib64/lv2/patch.lv2
lrwxrwxrwx 1 root root   40 May 15 13:13 port-groups -> ../../../../../lib64/lv2/port-groups.lv2
lrwxrwxrwx 1 root root   39 May 15 13:13 port-props -> ../../../../../lib64/lv2/port-props.lv2
lrwxrwxrwx 1 root root   36 May 15 13:13 presets -> ../../../../../lib64/lv2/presets.lv2
lrwxrwxrwx 1 root root   40 May 15 13:13 resize-port -> ../../../../../lib64/lv2/resize-port.lv2
lrwxrwxrwx 1 root root   34 May 15 13:13 state -> ../../../../../lib64/lv2/state.lv2
lrwxrwxrwx 1 root root   33 May 15 13:13 time -> ../../../../../lib64/lv2/time.lv2
lrwxrwxrwx 1 root root   33 May 15 13:13 urid -> ../../../../../lib64/lv2/urid.lv2
lrwxrwxrwx 1 root root   36 May 15 13:13 uri-map -> ../../../../../lib64/lv2/uri-map.lv2
lrwxrwxrwx 1 root root   35 May 15 13:13 worker -> ../../../../../lib64/lv2/worker.lv2
Comment 2 Michael Schwendt 2013-06-20 07:44:32 EDT
Consider talking to upstream.

The only difference in file contents between lv2-devel.i686 and lv2-devel.x86_64 is this (minus modified paths):

diff -Nur i686/usr/lib/pkgconfig/lv2core.pc x86_64/usr/lib/pkgconfig/lv2core.pc
--- i686/usr/lib/pkgconfig/lv2core.pc	2013-05-21 19:07:00.000000000 +0200
+++ x86_64/usr/lib/pkgconfig/lv2core.pc	2013-05-21 19:07:26.000000000 +0200
@@ -1,6 +1,6 @@
 prefix=/usr
 exec_prefix=${prefix}
-libdir=${exec_prefix}/lib
+libdir=${exec_prefix}/lib64
 includedir=${prefix}/include
 
 Name: lv2core

That means, the header files are exactly the same for both archs. Probably they are fully arch-independent and not generated/filled at build-time. Upstream will be able to tell. Same for the contents of /usr/lib vs. /usr/lib64. You could move the x86_64 files to /usr/lib, where they would co-exist with the i686 files. Probably even make the package noarch. Upstream may be able to help.
Comment 3 Brendan Jones 2013-06-20 09:18:02 EDT
hmmm,

Can we just create a second pkgconfig file? ie /usr/lib64/pkgconfig for x64
Comment 4 Michael Schwendt 2013-09-22 18:13:41 EDT
The pkgconfig files don't conflict, since they are stored in %_libdir, which depends on arch.

It's the symlinks below /usr/include that cause the conflicts. They point at different targets depending on build arch. Why can't the real headers stay in /usr/include?

Currently, the real headers below %_libdir are exactly the same for i686 and x86_64. I cannot tell whether that will still be like that in the future. Else a temporary fix would be to eliminate the symlinks.
Comment 5 Jan Kurik 2015-07-15 11:07:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 6 Fedora End Of Life 2016-11-24 05:40:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 07:14:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.